Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class BotDialogElement

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.BotDialogElement

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class BotDialogElement
    extends IdTitle

Описание элемента диалога, будь то кнопка, просто текст, или отформотированный текст, или ещё что то

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BotDialogElement()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getConfigElement()` |
  `java.util.Set<java.lang.Integer>` | `getDialogIds()` |
  `BotDialogElementType` | `getElementType()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `org.json.JSONObject` | `getJSONConfig()` |
  `int` | `getSortPosition()` |
  `void` | `setConfigElement​(java.lang.String configElement)` |
  `void` | `setDialogIds​(java.util.Set<java.lang.Integer> dialogIds)` |
  `void` | `setElementType​(BotDialogElementType elementType)` |
  `void` | `setSortPosition​(int sortPosition)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BotDialogElement

    public BotDialogElement()

- ## Method Details

  - ### getElementType

    public BotDialogElementType getElementType()

  - ### setElementType

    public void setElementType​(BotDialogElementType elementType)

  - ### getDialogIds

    public java.util.Set<java.lang.Integer> getDialogIds()

  - ### setDialogIds

    public void setDialogIds​(java.util.Set<java.lang.Integer> dialogIds)

  - ### getConfigElement

    public java.lang.String getConfigElement()

  - ### setConfigElement

    public void setConfigElement​(java.lang.String configElement)

  - ### getJSONConfig

    public org.json.JSONObject getJSONConfig()

  - ### getSortPosition

    public int getSortPosition()

  - ### setSortPosition

    public void setSortPosition​(int sortPosition)

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.